Ubuntu

[Hardy]b43-fwcutter install script fails to fetch firmware in first run

Reported by Cory Flick on 2008-03-03
100
This bug affects 1 person
Affects Status Importance Assigned to Milestone
b43-fwcutter (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
jockey (Ubuntu)
High
Martin Pitt
Hardy
High
Martin Pitt

Bug Description

flick@lil-spooky:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
flick@lil-spooky:~$ uname -a
Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008 x86_64 GNU/Linux
-------------------------------------------------------------------------------------------------
flick@lil-spooky:~$ apt-cache policy b43-fwcutter
b43-fwcutter:
  Installed: 1:008-2
  Candidate: 1:008-2
  Version table:
 *** 1:008-2 0
        500 http://us.archive.ubuntu.com hardy/universe Packages
        100 /var/lib/dpkg/status
----------------------------------------------------------------------------------------------------------------------------
what I expected to happen : after doing a fresh install of Hardy Alpha 5, I started the Restricted Driver Manager to install the broadcom firmware to get my wireless working, just like I did in Gutsy. I expected the fwcutter package to download and install the correct firmware, which is what happened under Gutsy. In Gutsy, the little orange light turned blue right away ( my machine is an HP dv6000 series laptop ) indicating that wireless is up and running.
------------------------------------------------------------------------------------------------------------------------------
what happened instead : started the Restricted Driver manager now called "Hardware Drivers" under System-->Administration, clicked the checkbox for the Broadcom firmware to be downloaded and installed. The Hardware Driver manager told me it had downloaded and installed the firmware, however, the orange light did not turn blue. I tried rebooting to see if that would make a difference. It did not make a difference. No working wireless. This page : http://linuxwireless.org/en/users/Drivers/b43 seems to indicate that various kernel versions need not just different versions of the firmware, but different versions of the fwcutter program/package itself, as well. Would be great if that could be integrated into Hardy before final release.
----------------------------------------------------------------------------------------------------------------------------------

Related branches

der_vegi (m-may) wrote :

Hm, I wonder if this is an error of b43-fwcutter not installing the firmware properly or the driver itself... Could you please give an output of typing 'dmesg' in your terminal? Is the b43 module loaded? 'lsmod | grep b43' tells you this. If not, what happens, if you do 'sudo modprobe b43'?
Which broadcom card are you using? Could you please give the output of 'lspci -vvnn'? Thanks!

Calcipher (braunze) wrote :

I am running a Buffalo G PCMCIA wireless card which also uses the Broadcom drivers. I, with a fresh install of Hardy, get the same behavior as the OP. The output from dmesg is:
"[ 390.486921] b43-phy0 ERROR: Firmware file "b43/ucode5.fw" not found or load failed.
[ 390.486938] b43-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4).
[ 407.562781] input: b43-phy0 as /devices/virtual/input/input25
[ 287.630413] b43-phy0 ERROR: Firmware file "b43/ucode5.fw" not found or load failed.
[ 287.630427] b43-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4)."
and from "lsmod | grep b43"
b43 118176 0
rfkill 8592 19 rfkill_input,b43
mac80211 165652 1 b43
led_class 6020 1 b43
input_polldev 5896 1 b43
ssb 32772 2 b43,ohci_hcd
"
Again, the system acts like there is a wireless card and that it is active but no lights come on for the card and no wireless networks (I'm positive that there are several in the area) show up.

Calcipher (braunze) wrote :

Update, I removed package b43-fwcutter (installed by Ubuntu) and installed package bcm43xx-fcutter to no result; however, when I went to the the hardware drivers page I noticed that the check box next to "enabled" was off so I re-enabled it (note: it was enabled before I removed b43). The driver manager installed b43-fwcutter alongside bcm43xx-fcutter and with both installed the lights on the device have turned on and wireless networks are visible.

der_vegi (m-may) wrote :

So it seems to be a problem of b43-fwcutter's install routine or the restricted-driver-manager jockey? Cory Flick, what happens, if you try to uninstall b43-fwcutter and then try enabling your wireless card over the restricted manager again?

Download full text (3.5 KiB)

Restricted Manager pops up the "has to install firmware" notice again. I
click ok, it installs/runs fwcutter again, which again does not result in
working wireless. On the web page I referenced in my original bug report,
there's talk of different kernels requiring different fwcutter versions as
well as different firmware versions. For what it's worth, I realize this
issue is caused by Broadcom not opening up their drivers, and I'm willing to
dig around and manually tweak things to get wireless up and running. Just
posted the bug because Gutsy automated all this perfectly, which was
fantastic.

On Mon, Mar 3, 2008 at 4:51 PM, der_vegi <email address hidden> wrote:

> So it seems to be a problem of b43-fwcutter's install routine or the
> restricted-driver-manager jockey? Cory Flick, what happens, if you try
> to uninstall b43-fwcutter and then try enabling your wireless card over
> the restricted manager again?
>
>
> ** Also affects: jockey (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> broadcom wireless not working fresh install of hardy
> https://bugs.launchpad.net/bugs/197819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "b43-fwcutter" in Ubuntu: New
> Status in Source Package "jockey" in Ubuntu: New
>
> Bug description:
> flick@lil-spooky:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> flick@lil-spooky:~$ uname -a
> Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> x86_64 GNU/Linux
>
> -------------------------------------------------------------------------------------------------
> flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installed: 1:008-2
> Candidate: 1:008-2
> Version table:
> *** 1:008-2 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
> ----------------------------------------------------------------------------------------------------------------------------
> what I expected to happen : after doing a fresh install of Hardy Alpha 5,
> I started the Restricted Driver Manager to install the broadcom firmware to
> get my wireless working, just like I did in Gutsy. I expected the fwcutter
> package to download and install the correct firmware, which is what happened
> under Gutsy. In Gutsy, the little orange light turned blue right away ( my
> machine is an HP dv6000 series laptop ) indicating that wireless is up and
> running.
>
> ------------------------------------------------------------------------------------------------------------------------------
> what happened instead : started the Restricted Driver manager now called
> "Hardware Drivers" under System-->Administration, clicked the checkbox for
> the Broadcom firmware to be downloaded and installed. The Hardware Driver
> manager told me it had downloaded and installed the firmware, however, the
> orange light did not turn blue. I tried rebooting to see if that would make
> a difference. It did not make a difference. No working wireless. This page :
> http://linuxwireless.org/en/users/Dri...

Read more...

Cory Flick (flicck) wrote :
Download full text (4.2 KiB)

For whatever it's worth :

I tried a different approach. I did a clean install of Gutsy, got wireless
working that way, then upgraded to Hardy using update-manager -d.

Upon reboot, wireless does not work. Tried using "Hardware Drivers" under
System-->Administration, it offered to download the fwcutter package, I
accepted, and still no working wireless. Rebooted, still no working
wireless.

This is all 64bit, on an HP dv6000 laptop.

On Mon, Mar 3, 2008 at 9:04 PM, Cory Flick <email address hidden> wrote:

> Restricted Manager pops up the "has to install firmware" notice again. I
> click ok, it installs/runs fwcutter again, which again does not result in
> working wireless. On the web page I referenced in my original bug report,
> there's talk of different kernels requiring different fwcutter versions as
> well as different firmware versions. For what it's worth, I realize this
> issue is caused by Broadcom not opening up their drivers, and I'm willing to
> dig around and manually tweak things to get wireless up and running. Just
> posted the bug because Gutsy automated all this perfectly, which was
> fantastic.
>
>
>
> On Mon, Mar 3, 2008 at 4:51 PM, der_vegi <email address hidden> wrote:
>
> > So it seems to be a problem of b43-fwcutter's install routine or the
> > restricted-driver-manager jockey? Cory Flick, what happens, if you try
> > to uninstall b43-fwcutter and then try enabling your wireless card over
> > the restricted manager again?
> >
> >
> > ** Also affects: jockey (Ubuntu)
> > Importance: Undecided
> > Status: New
> >
> > --
> > broadcom wireless not working fresh install of hardy
> > https://bugs.launchpad.net/bugs/197819
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Source Package "b43-fwcutter" in Ubuntu: New
> > Status in Source Package "jockey" in Ubuntu: New
> >
> > Bug description:
> > flick@lil-spooky:~$ cat /etc/lsb-release
> > DISTRIB_ID=Ubuntu
> > DISTRIB_RELEASE=8.04
> > DISTRIB_CODENAME=hardy
> > DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> > flick@lil-spooky:~$ uname -a
> > Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> > x86_64 GNU/Linux
> >
> > -------------------------------------------------------------------------------------------------
> > flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> > b43-fwcutter:
> > Installed: 1:008-2
> > Candidate: 1:008-2
> > Version table:
> > *** 1:008-2 0
> > 500 http://us.archive.ubuntu.com hardy/universe Packages
> > 100 /var/lib/dpkg/status
> >
> > ----------------------------------------------------------------------------------------------------------------------------
> > what I expected to happen : after doing a fresh install of Hardy Alpha
> > 5, I started the Restricted Driver Manager to install the broadcom firmware
> > to get my wireless working, just like I did in Gutsy. I expected the
> > fwcutter package to download and install the correct firmware, which is what
> > happened under Gutsy. In Gutsy, the little orange light turned blue right
> > away ( my machine is an HP dv6000 series laptop ) indicating that wireless
> > is up and running.
...

Read more...

Cory, what i your output of 'dmesg'? This would give an idea, if the problem is the driver itself, or a problem of not loading the firmware.

A second aproach would be to do the steps, the install script shoud do, manually (steps extracted from /usr/share/b43-fwcutter/install_bcm43xx_firmware.sh):
go to some temporary directory, for example ~/b43-temp and perform the following steps:

cd ~
mkdir b43-temp
cd b43-temp
wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
wget http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
sudo b43-fwcutter -w /lib/firmware wl_apsta-3.130.20.0.o
tar xfvj broadcom-wl-4.80.53.0.tar.bz2
sudo b43-fwcutter -w /lib/firmware broadcom-wl-4.80.53.0/kmod/wl_apsta.o
sudo chmod o+rx /lib/firmware/b43 /lib/firmware/b43legacy

Again, output of 'dmesg' would be helpful... Good luck!

Download full text (3.6 KiB)

Thank you for the tips and suggestions, I'll do them tonight when I get home
from work, and will reply again with my results.

On Thu, Mar 6, 2008 at 8:04 AM, der_vegi <email address hidden> wrote:

> Cory, what i your output of 'dmesg'? This would give an idea, if the
> problem is the driver itself, or a problem of not loading the firmware.
>
> A second aproach would be to do the steps, the install script shoud do,
> manually (steps extracted from
> /usr/share/b43-fwcutter/install_bcm43xx_firmware.sh):
> go to some temporary directory, for example ~/b43-temp and perform the
> following steps:
>
> cd ~
> mkdir b43-temp
> cd b43-temp
> wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
> wget http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
> sudo b43-fwcutter -w /lib/firmware wl_apsta-3.130.20.0.o
> tar xfvj broadcom-wl-4.80.53.0.tar.bz2
> sudo b43-fwcutter -w /lib/firmware broadcom-wl-4.80.53.0/kmod/wl_apsta.o
> sudo chmod o+rx /lib/firmware/b43 /lib/firmware/b43legacy
>
> Again, output of 'dmesg' would be helpful... Good luck!
>
> --
> broadcom wireless not working fresh install of hardy
> https://bugs.launchpad.net/bugs/197819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "b43-fwcutter" in Ubuntu: New
> Status in Source Package "jockey" in Ubuntu: New
>
> Bug description:
> flick@lil-spooky:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> flick@lil-spooky:~$ uname -a
> Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> x86_64 GNU/Linux
>
> -------------------------------------------------------------------------------------------------
> flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installed: 1:008-2
> Candidate: 1:008-2
> Version table:
> *** 1:008-2 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
> ----------------------------------------------------------------------------------------------------------------------------
> what I expected to happen : after doing a fresh install of Hardy Alpha 5,
> I started the Restricted Driver Manager to install the broadcom firmware to
> get my wireless working, just like I did in Gutsy. I expected the fwcutter
> package to download and install the correct firmware, which is what happened
> under Gutsy. In Gutsy, the little orange light turned blue right away ( my
> machine is an HP dv6000 series laptop ) indicating that wireless is up and
> running.
>
> ------------------------------------------------------------------------------------------------------------------------------
> what happened instead : started the Restricted Driver manager now called
> "Hardware Drivers" under System-->Administration, clicked the checkbox for
> the Broadcom firmware to be downloaded and installed. The Hardware Driver
> manager told me it had downloaded and installed the firmware, however, the
> orange light did not turn blue. I tried rebooting to see if that would make
> a difference. It did not make a difference. No wo...

Read more...

Cory Flick (flicck) wrote :
Download full text (43.0 KiB)

Looks like the firmware version/fwcutter version issues I
mentioned/referenced in my first post.

Dmesg output attached.

On Thu, Mar 6, 2008 at 8:16 AM, Cory Flick <email address hidden> wrote:

> Thank you for the tips and suggestions, I'll do them tonight when I get
> home from work, and will reply again with my results.
>
>
>
> On Thu, Mar 6, 2008 at 8:04 AM, der_vegi <email address hidden> wrote:
>
> > Cory, what i your output of 'dmesg'? This would give an idea, if the
> > problem is the driver itself, or a problem of not loading the firmware.
> >
> > A second aproach would be to do the steps, the install script shoud do,
> > manually (steps extracted from
> > /usr/share/b43-fwcutter/install_bcm43xx_firmware.sh):
> > go to some temporary directory, for example ~/b43-temp and perform the
> > following steps:
> >
> > cd ~
> > mkdir b43-temp
> > cd b43-temp
> > wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
> > wget http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
> > sudo b43-fwcutter -w /lib/firmware wl_apsta-3.130.20.0.o
> > tar xfvj broadcom-wl-4.80.53.0.tar.bz2
> > sudo b43-fwcutter -w /lib/firmware broadcom-wl-4.80.53.0/kmod/wl_apsta.o
> > sudo chmod o+rx /lib/firmware/b43 /lib/firmware/b43legacy
> >
> > Again, output of 'dmesg' would be helpful... Good luck!
> >
> > --
> > broadcom wireless not working fresh install of hardy
> > https://bugs.launchpad.net/bugs/197819
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Source Package "b43-fwcutter" in Ubuntu: New
> > Status in Source Package "jockey" in Ubuntu: New
> >
> > Bug description:
> > flick@lil-spooky:~$ cat /etc/lsb-release
> > DISTRIB_ID=Ubuntu
> > DISTRIB_RELEASE=8.04
> > DISTRIB_CODENAME=hardy
> > DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> > flick@lil-spooky:~$ uname -a
> > Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> > x86_64 GNU/Linux
> >
> > -------------------------------------------------------------------------------------------------
> > flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> > b43-fwcutter:
> > Installed: 1:008-2
> > Candidate: 1:008-2
> > Version table:
> > *** 1:008-2 0
> > 500 http://us.archive.ubuntu.com hardy/universe Packages
> > 100 /var/lib/dpkg/status
> >
> > ----------------------------------------------------------------------------------------------------------------------------
> > what I expected to happen : after doing a fresh install of Hardy Alpha
> > 5, I started the Restricted Driver Manager to install the broadcom firmware
> > to get my wireless working, just like I did in Gutsy. I expected the
> > fwcutter package to download and install the correct firmware, which is what
> > happened under Gutsy. In Gutsy, the little orange light turned blue right
> > away ( my machine is an HP dv6000 series laptop ) indicating that wireless
> > is up and running.
> >
> > ------------------------------------------------------------------------------------------------------------------------------
> > what happened instead : started the Restricted Driver manager now called
> > "Hardware Drivers" under Syst...

And manually installing the firmware did not work either? Hm. What kind of chip are you using? Looking at http://linuxwireless.org/en/users/Drivers/b43/ shows, that not all broadcom devices are supported. Could you please attach the output of 'lspci -vvnn'?

Download full text (3.5 KiB)

Manual removal of the firmware supplied by Hardy's fwcutter package, and
then manual removal of Hardy's fwcutter package itself, followed by manual
installation of the fwcutter package referenced on the site I have listed in
my original post, followed by running that fwcutter package/program, DOES
work.

Again, not complaining or whining, just wondering if some of us with older
Broadcom chips might have to go through these manual steps with anything
beyond Gutsy, when Gutsy automated it all through its Restricted Drivers
Manager. And of course, hoping the Ubuntu devs can include the proper
fwcutter package for our troublesome Broadcom cards in Hardy, if possible.

On Fri, Mar 7, 2008 at 3:49 AM, der_vegi <email address hidden> wrote:

> And manually installing the firmware did not work either? Hm. What kind
> of chip are you using? Looking at
> http://linuxwireless.org/en/users/Drivers/b43/ shows, that not all
> broadcom devices are supported. Could you please attach the output of
> 'lspci -vvnn'?
>
> --
> broadcom wireless not working fresh install of hardy
> https://bugs.launchpad.net/bugs/197819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "b43-fwcutter" in Ubuntu: New
> Status in Source Package "jockey" in Ubuntu: New
>
> Bug description:
> flick@lil-spooky:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> flick@lil-spooky:~$ uname -a
> Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> x86_64 GNU/Linux
>
> -------------------------------------------------------------------------------------------------
> flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installed: 1:008-2
> Candidate: 1:008-2
> Version table:
> *** 1:008-2 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
> ----------------------------------------------------------------------------------------------------------------------------
> what I expected to happen : after doing a fresh install of Hardy Alpha 5,
> I started the Restricted Driver Manager to install the broadcom firmware to
> get my wireless working, just like I did in Gutsy. I expected the fwcutter
> package to download and install the correct firmware, which is what happened
> under Gutsy. In Gutsy, the little orange light turned blue right away ( my
> machine is an HP dv6000 series laptop ) indicating that wireless is up and
> running.
>
> ------------------------------------------------------------------------------------------------------------------------------
> what happened instead : started the Restricted Driver manager now called
> "Hardware Drivers" under System-->Administration, clicked the checkbox for
> the Broadcom firmware to be downloaded and installed. The Hardware Driver
> manager told me it had downloaded and installed the firmware, however, the
> orange light did not turn blue. I tried rebooting to see if that would make
> a difference. It did not make a difference. No working wireless. This page :
> http://linuxwireless.org/en/users...

Read more...

Cory Flick (flicck) wrote :
Download full text (4.4 KiB)

Relevant output of lspci -vvnn :

03:00.0 Network controller [0280]: Broadcom Corporation BCM94311MCG wlan
mini-PCI [14e4:4311] (rev 01)
        Subsystem: Hewlett-Packard Company Unknown device [103c:1363]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 23
        Region 0: Memory at b3200000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: b43-pci-bridge
        Kernel modules: ssb

On Fri, Mar 7, 2008 at 8:25 AM, Cory Flick <email address hidden> wrote:

> Manual removal of the firmware supplied by Hardy's fwcutter package, and
> then manual removal of Hardy's fwcutter package itself, followed by manual
> installation of the fwcutter package referenced on the site I have listed in
> my original post, followed by running that fwcutter package/program, DOES
> work.
>
> Again, not complaining or whining, just wondering if some of us with older
> Broadcom chips might have to go through these manual steps with anything
> beyond Gutsy, when Gutsy automated it all through its Restricted Drivers
> Manager. And of course, hoping the Ubuntu devs can include the proper
> fwcutter package for our troublesome Broadcom cards in Hardy, if possible.
>
>
>
> On Fri, Mar 7, 2008 at 3:49 AM, der_vegi <email address hidden> wrote:
>
> > And manually installing the firmware did not work either? Hm. What kind
> > of chip are you using? Looking at
> > http://linuxwireless.org/en/users/Drivers/b43/ shows, that not all
> > broadcom devices are supported. Could you please attach the output of
> > 'lspci -vvnn'?
> >
> > --
> > broadcom wireless not working fresh install of hardy
> > https://bugs.launchpad.net/bugs/197819
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Source Package "b43-fwcutter" in Ubuntu: New
> > Status in Source Package "jockey" in Ubuntu: New
> >
> > Bug description:
> > flick@lil-spooky:~$ cat /etc/lsb-release
> > DISTRIB_ID=Ubuntu
> > DISTRIB_RELEASE=8.04
> > DISTRIB_CODENAME=hardy
> > DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> > flick@lil-spooky:~$ uname -a
> > Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> > x86_64 GNU/Linux
> >
> > -------------------------------------------------------------------------------------------------
> > flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> > b43-fwcutter:
> > Installed: 1:008-2
> > Candidate: 1:008-2
> > Version table:
> > *** 1:008-2 0
> > 500 http://us.archive.ubuntu.com hardy/universe Packages
> > 100 /var/lib/dpkg/status
> >
> > ----------------------------------------------------------------------------------------------------------------------------
> > what I expected to happen : after doing a fresh install of Hardy Alpha
> > 5, I started the Restricted Driver Manager to install the broadcom firmware
> > to get my wireless working, just like I did in Gutsy. I expected the
> >...

Read more...

Did you also try to perform these steps manually with the b43-fwcutter package provided by Hardy (see my post above)? Trying this would give an idea of it is a) a problem of the b43-fwcutter package in Hardy itself not being able to extract the firmware or b) a problem of the installation script (or the restricted driver manager) not being able to call the fwcutter properly.

I personally have a broadcom 4312, installing with the b43-fwcutter manually works fine for me but I can't test the automated installation, as my only internet connection is wireless and so I have to download the firmware and vpnc manually, before doing a new install...

Kevin Oberle (kevin.oberle) wrote :

I can confirm this bug on my laptop under hardy alpha 6. I have the bcm4318 card. If i use the restricted hardware manager and enable the driver it downloads and installs fine but does not work even after a reboot. Going under package manager, selecting completely remove the b43-fwcutter package, and then installing it again does fix my wireless. This would be consistent with a problem in the installation script or restricted driver manager itself.

Download full text (3.5 KiB)

I can confirm that this does work :

"Going under package manager, selecting completely remove the
b43-fwcutter package, and then installing it again does fix my wireless."

Looks like it's just the initial setup under System > Administration >
Hardware Drivers that somehow fails to get the firmware properly. Manual
install with Synaptic works fine.

Thanks to everyone posting here helping make Ubuntu better/nicer to use.

On Fri, Mar 7, 2008 at 10:28 PM, Kevin Oberle <email address hidden>
wrote:

> I can confirm this bug on my laptop under hardy alpha 6. I have the
> bcm4318 card. If i use the restricted hardware manager and enable the
> driver it downloads and installs fine but does not work even after a
> reboot. Going under package manager, selecting completely remove the
> b43-fwcutter package, and then installing it again does fix my wireless.
> This would be consistent with a problem in the installation script or
> restricted driver manager itself.
>
> --
> broadcom wireless not working fresh install of hardy
> https://bugs.launchpad.net/bugs/197819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "b43-fwcutter" in Ubuntu: New
> Status in Source Package "jockey" in Ubuntu: New
>
> Bug description:
> flick@lil-spooky:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> flick@lil-spooky:~$ uname -a
> Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> x86_64 GNU/Linux
>
> -------------------------------------------------------------------------------------------------
> flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installed: 1:008-2
> Candidate: 1:008-2
> Version table:
> *** 1:008-2 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
> ----------------------------------------------------------------------------------------------------------------------------
> what I expected to happen : after doing a fresh install of Hardy Alpha 5,
> I started the Restricted Driver Manager to install the broadcom firmware to
> get my wireless working, just like I did in Gutsy. I expected the fwcutter
> package to download and install the correct firmware, which is what happened
> under Gutsy. In Gutsy, the little orange light turned blue right away ( my
> machine is an HP dv6000 series laptop ) indicating that wireless is up and
> running.
>
> ------------------------------------------------------------------------------------------------------------------------------
> what happened instead : started the Restricted Driver manager now called
> "Hardware Drivers" under System-->Administration, clicked the checkbox for
> the Broadcom firmware to be downloaded and installed. The Hardware Driver
> manager told me it had downloaded and installed the firmware, however, the
> orange light did not turn blue. I tried rebooting to see if that would make
> a difference. It did not make a difference. No working wireless. This page :
> http://linuxwireless.org/en/users/Drivers/b43 seems to indicate t...

Read more...

Jan Groenewald (jan-aims) wrote :
Download full text (9.6 KiB)

Confirmed on HP AMD64 Pavillion dv6000 (running 32bit hardy, installed from alpha6).

lspci gives BCM94311MCG wlan mini PCI

Restricted drivers downloaded and installed something, dpkg -l shows me it is
b43-fwcutter. There is no fimware though.

lsmod|grep b43
b43 118176 0
rfkill 8592 106 rfkill_input,b43
mac80211 165652 1 b43
led_class 6020 1 b43
input_polldev 5896 1 b43
ssb 32772 2 b43,ohci_hcd

dmesg says, about 150 times, "b43/ucode13.fw not found, go download it":

[ 3398.532542] b43-phy0 ERROR: Firmware file "b43/ucode13.fw" not found or load failed.
[ 3398.532550] b43-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4).
[ 3473.382364] input: b43-phy0 as /devices/virtual/input/input110
[ 3473.390337] evdev: no more free evdev devices
[ 3473.390348] input: failed to attach handler evdev to device input110, error: -23
[ 3473.417091] b43-phy0 ERROR: Firmware file "b43/ucode13.fw" not found or load failed.
[ 3473.417100] b43-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4).
[ 3556.418786] input: b43-phy0 as /devices/virtual/input/input111
[ 3556.426050] evdev: no more free evdev devices
[ 3556.426060] input: failed to attach handler evdev to device input111, error: -23
[ 3556.463738] b43-phy0 ERROR: Firmware file "b43/ucode13.fw" not found or load failed.
[ 3556.463748] b43-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4).

The same laptop boots windows vista (bloated version) and the wireless indicator light is on (blue). Not in hardy,
it stays red. I don't think the on/off switch for wireless works at all in Linux?

iwconfig does show an interface, but no networks.

So I do as suggested above:
jan@blessing-laptop:~$ cd ~
jan@blessing-laptop:~$ mkdir b43-temp
jan@blessing-laptop:~$ cd b43-temp
jan@blessing-laptop:~/b43-temp$ wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
--01:04:22-- http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
           => `wl_apsta-3.130.20.0.o'
Resolving downloads.openwrt.org... 195.56.146.238
Connecting to downloads.openwrt.org|195.56.146.238|:80...
jan@blessing-laptop:~/b43-temp$ export http_proxy=http://proxy.aims.ac.za:3128/
jan@blessing-laptop:~/b43-temp$ wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
--01:04:42-- http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
           => `wl_apsta-3.130.20.0.o'
Resolving proxy.aims.ac.za... 192.168.42.1
Connecting to proxy.aims.ac.za|192.168.42.1|:3128... connected.
Proxy request sent, awaiting response... 200 OK
Length: 652,866 (638K) [application/x-object]

100%[====================================>] 652,866 7.93K/s ETA 00:00

01:06:03 (8.06 KB/s) - `wl_apsta-3.130.20.0.o' saved [652866/652866]

jan@blessing-laptop:~/b43-temp$ wget http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
--01:06:03-- http://downloads.openwrt.org/sources/broadcom-wl-4...

Read more...

der_vegi (m-may) on 2008-03-14
Changed in b43-fwcutter:
status: New → Confirmed
Martin Pitt (pitti) wrote :

Hm, b43-fwcutter is supposed to download and install the firmware right away on package installation. Can you please test this with

  sudo rm -r /lib/firmware/b43* # or move them to a different directory
  sudo dpkg -P b43-fwcutter
  sudo apt-get install b43-fwcutter

this wil completely remove and reinstall b43-fwcutter. Say yes (press enter) to the question whether to download the firmware. Does this fetch and install /lib/firmware/b43/ properly?

Hi

On Tue, Mar 18, 2008 at 02:27:27PM -0000, Martin Pitt wrote:
> Hm, b43-fwcutter is supposed to download and install the firmware right
> away on package installation. Can you please test this with
>
> sudo rm -r /lib/firmware/b43* # or move them to a different directory
> sudo dpkg -P b43-fwcutter
> sudo apt-get install b43-fwcutter
>
> this wil completely remove and reinstall b43-fwcutter. Say yes (press
> enter) to the question whether to download the firmware. Does this fetch
> and install /lib/firmware/b43/ properly?

We already confirmed that synaptic reinstall does indeed fetch the
firmware.

Only restricted-drivers manager seem broken.

( Another problem I had was that synaptic did not respect
the proxy which I thought the installer put in apt.conf, so in
fact I had to ctl-c and do it manually. Synaptic however prompted
the user whether or not the firmware should be fetched, but then
it tried to directly connect to openwrt:80, not via my proxy set
in apt.conf, gnome-wide-settings, and synaptic proxy settings )

I just did a apt-get --reinstall install b43-fwcutter, and the
firmware was not fetched and the user not prompted for it.

Let's purge it first... OK, yes, now I am prompted, I choose yes,
and it uses the proxy in apt.conf. I don't see any terminal output
of the firmware extraction though... should it not show more?

regards,
Jan

--
   .~.
   /V\ Jan Groenewald
  /( )\ www.aims.ac.za
  ^^-^^

Colin Watson (cjwatson) wrote :

It does fetch and install it here, and unloading and reloading the module seems happy, though I'm not in a position to test it further just at the moment.

Colin Watson (cjwatson) wrote :

(The resulting filesystem tree is identical to what it was before, though, so I assume it does work.)

Sokraates (sokraates) wrote :

I had the same problem with my BCM4318 after installing Kubuntu Hardy KDE4. I filed a different bug, though, since I didn't know fw-cutter would download the necessary firmware. It wouldn't work for me in previous releases so I used ndiswrapper.

To contribute to this bug: First I used Jockey to install b43-fw-cutter. Then I downloaded the firmware from the web and installed it with b43-fw-cutter manually through the command line. My wireless works ever since. So b43-fw-cutter seems to be working in this regard.

el es (el-es-poczta) wrote :

This worked for me :
https://bugs.launchpad.net/ubuntu/+source/b43-fwcutter/+bug/202567

Note you need to be using the 2.6.24.x kernel (stable) and the non-bleeding-edge firmware.

debianmigrant (debianmigrant) wrote :

None of the above worked for me...

I can see my networks, network-manager even detects what security protocol to use, but when I attempt to connect network manager spirals out of control and uses 100% CPU.

debianmigrant (debianmigrant) wrote :
debianmigrant (debianmigrant) wrote :
Ben (linuxmasta) wrote :

Hi I have this problem as well. My applicable LSPCI information is: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller (rev 02)

After enabling restricted drivers in Beta, and installing bcm43xx-fwcutter (after which it did not work and rebooting did not help)....
I noticed an error that I would get every once in a while when watching (whatever terminal you get when you press ctrl+alt+f1):

[ 2563.664354] b43-phy5 ERROR: Firmware file "b43/ucode5.fw" not found or load failed.
[ 2563.664367] b43-phy5 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4).

after doing what you said in this thread:
https://bugs.launchpad.net/ubuntu/+source/b43-fwcutter/+bug/197819/comments/7

the blue light instantly turned on and my computer began noticing wireless networks. (Can't connect to 128-bit WEP wireless here on campus though, but that probably belongs in another bug report).

Running 2.6.24-12-generic on HH Beta.

I should also mention that in Alpha 6 what I got to work apparently was something along the lines of what this guy wrote here:
https://bugs.launchpad.net/ubuntu/+source/b43-fwcutter/+bug/197819/comments/14

I would bumble around installing/uninstalling that using the restricted drivers option in HH and the Synaptic manager, while continually installing bcm43xx-fwcutter. Not sure which it was that would get it to work, it just mysteriously would work after rebooting.

I want to get this stamped out so if there's anything I can do to help please let me know, I've signed up for emails, or email me directly if it shows my email address (new to this).

Ben (linuxmasta) wrote :

Oh and here's the dmesg from when it started working after I did what you said in that one link I linked above:

[ 2685.691398] input: b43-phy5 as /devices/virtual/input/input77
[ 2685.700754] evdev: no more free evdev devices
[ 2685.700769] input: failed to attach handler evdev to device input77, error: -23
[ 2685.747862] b43-phy5 ERROR: Firmware file "b43/ucode5.fw" not found or load failed.
[ 2685.747885] b43-phy5 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 4).
[ 1243.272968] input: b43-phy5 as /devices/virtual/input/input78
[ 1243.282598] evdev: no more free evdev devices
[ 1243.282606] input: failed to attach handler evdev to device input78, error: -23
[ 1246.753360] Registered led device: b43-phy5:radio
[ 1246.755293] ADDRCONF(NETDEV_UP): wlan0: link is not ready

email is linuxmasta remove@#$@#remove at nospamsplzcopterlol gmail.com

Adam (adam-leckron) wrote :

Man, I am having a heck of a time getting this to work in 8.04! Oddly enough, everything worked perfectly in 7.10- all I had to do there was click the checkbox in the Restricted Drivers Manager. When I installed 8.04 I did a complete wipe, btw. Figured it was best to start fresh.

Anyway, at this point after multiple installs, removals, purges and other suggestions in these forums... Hardware Drivers now says the Broadcom B43 wireless driver is both enabled and in use. The green WiFi light is on. Through the Network Manager tray icon I can see various nearby APs, but cannot connect to any of them. Once I select one (or enter in one manually), the icon just keeps spinning and neither circle ever turns green. The NetworkManager process goes to 50% cpu (core duo, I think it's really taking up 100% of one of the processors?) and basically from there all I can do to get a network connection (even wired) is reboot.

This is a Dell Inspiron 6400, with the 4311 mini pci:
0b:00.0 Network controller [0280]: Broadcom Corporation BCM94311MCG wlan mini-PCI [14e4:4311] (rev 01)
 Subsystem: Dell Unknown device [1028:0007]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at efcfc000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

Adam (adam-leckron) wrote :

and I see this in the syslog:

Mar 22 21:03:08 adam-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.reason
Mar 22 21:03:08 adam-laptop NetworkManager: <debug> [1206234188.355520] nm_device_802_11_wireless_get_activation_ap(): Forcing AP 'AdamsTomato'
Mar 22 21:03:08 adam-laptop NetworkManager: <info> User Switch: /org/freedesktop/NetworkManager/Devices/wlan0 / AdamsTomato
Mar 22 21:03:08 adam-laptop NetworkManager: <info> Deactivating device wlan0.
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Device wlan0 activation scheduled...
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0) started...
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Mar 22 21:03:10 adam-laptop NetworkManager: <info> Activation (wlan0/wireless): access point 'AdamsTomato' is encrypted, and a key exists. No new key needed.
Mar 22 21:03:11 adam-laptop NetworkManager: <WARN> nm_signal_handler(): Caught signal 11. Generating backtrace...
Mar 22 21:03:11 adam-laptop NetworkManager: ******************* START **********************************
Mar 22 21:03:11 adam-laptop NetworkManager: (no debugging symbols found)
Mar 22 21:03:11 adam-laptop NetworkManager: Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
Mar 22 21:03:11 adam-laptop NetworkManager: (no debugging symbols found)
Mar 22 21:03:11 adam-laptop last message repeated 10 times
Mar 22 21:03:11 adam-laptop NetworkManager: [Thread debugging using libthread_db enabled]
Mar 22 21:03:11 adam-laptop NetworkManager: [New Thread 0xb7afd720 (LWP 4986)]
Mar 22 21:03:11 adam-laptop NetworkManager: [New Thread 0xb72fbb90 (LWP 5411)]
Mar 22 21:03:11 adam-laptop NetworkManager: [New Thread 0xb7afcb90 (LWP 5325)]
Mar 22 21:03:11 adam-laptop NetworkManager: (no debugging symbols found)
Mar 22 21:03:11 adam-laptop last message repeated 9 times
Mar 22 21:03:11 adam-laptop NetworkManager: 0xb7ef7410 in __kernel_vsyscall ()
Mar 22 21:03:11 adam-laptop NetworkManager: ******************* END **********************************

el es (el-es-poczta) wrote :

@BEN :
You need to do what the dmesg says.
The dmesg says, that the firmware is missing or wrong version.
You need to go to the http://linuxwireless.org/en/users/Drivers/b43#devicefirmware page, READ it, pick the right firmware, do what the text there says (hint : the restricted-manager most probably installs the right version of b43-fwcutter, so no need to compile it) remember to use sudo when fwcutting (might be a need to fix the /etc/hostname *) file first) and this worked for me.

der_vegi (m-may) wrote :

For those of you, who finally got the firmware enabled but cannot connect to a network, you might be experiencing bug 197959.

But maybe, you also try to do it the "old way" with ifconfig and iwconfig, because I am experiencing maybe a third bug now, that my card (working with 2.6.24-3 vanilla kernel) only works the manual way, network manager does not work for me anymore...

debianmigrant (debianmigrant) wrote :

Any ideas?

debianmigrant (debianmigrant) wrote :

In my /etc/udev/rules.d/70-persistent-net.rules I get:

# PCI device 0x14e4:0x4311 (b43-pci-bridge)

SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:1e:4c:17:c5:bd", ATTR{type}=="1", NAME="wlan0"

In Gusty my WLAN connection was named eth1 not wlan0, and as I understand it, wireless should be using b43 not b43-pci-bridge... Right?

debianmigrant (debianmigrant) wrote :

Thanks der_vegi,
you're right

I think my issue does lie with the kernel, fw-cutter seems ok. I might try an upstream kernel, see if that fixes it.

Stuart Read (sread) wrote :

Hey folks, I think there's two separate problems here:
1. The restricted drivers program installs the fwcutter in such a way that it doesn't offer to download the firmware, while installing the same package via synaptic does. This is obviously confusing for new users, but can be solved by simply completely removing the b43-fwcutter package and reinstalling it via synaptic.

2. There is an outstanding bug in network-manager which causes it to crash after asking for a wireless passphrase. This bug is solved by the debdiff posted in Bug #204868, but hasn't been applied to the network-manager package in the repositories yet.

Hope this helps.

debianmigrant (debianmigrant) wrote :

Ok, I was far too hasty with the prognosis of my wireless issues (frustration). Thank you so much Stuart Read! T'was Network manager! Patch worked a treat! :)

Hopefully the patch will make it into the repositories soon.

Adam (adam-leckron) wrote :

Yeah- I was suffering from bug #204868 too. The proposed debdiff there worked for me too, wireless is finally working now!

TheGZeus (gzeusmants) wrote :

Kubuntu user here.
dmesg output attached

Moderatly frustrating using an N770 when on the go. then again, it's frustrating using an N770 to do anything...

Martin Pitt (pitti) wrote :

After jockey installs b43-firmware, do you get anything b43 related in /lib/firmware? I. e. does it install the wrong firmware, or does it not install any firmware at all?

TheGZeus (gzeusmants) wrote :

I don't see anything that LOOKS like that, but I'm not sure what I'm looking for.

Hi,

TheGZeus [2008-04-01 20:59 -0000]:
> I don't see anything that LOOKS like that, but I'm not sure what I'm
> looking for.

There should be files that look like /lib/firmware/b43*.fw.

TheGZeus (gzeusmants) wrote :

>There should be files that look like /lib/firmware/b43*.fw.
Nope.
Not in the -generic(fallback) nor in the -rt(default) folders.

Jonathan Riddell (jr) wrote :

The debconf question is not asked when installing with jockey (-gtk or -kde), so nothing gets downloaded and there are no files in /lib/firmware/b43*.fw.

config.dat has

Name: b43-fwcutter/cut_firmware
Template: b43-fwcutter/cut_firmware
Value:
Owners: b43-fwcutter

running dpkg-reconfigure b43-fwcutter lets you chose to download it and then it works fine. Installing b43-fwcutter from adept_batch works fine, so there much be something in the way jockey runs adept_batch (or synaptic) which stops it from asking the debconf question.

Changed in jockey:
status: New → Confirmed
Changed in b43-fwcutter:
status: Confirmed → Invalid
Jonathan Riddell (jr) wrote :

The problem is that jockey sets
env = {'DEBIAN_PRIORITY': 'critical'}

but the debconf question b43-fwcutter/cut_firmware is priority high.

Setting jockey to use priority high in oslib.py fixes this.

Martin Pitt (pitti) wrote :

Indeed, thanks Jonathan. Although the interactive debconf question defaults to true, running "sudo DEBIAN_PRIORITY=critical apt-get install b43-fwcutter" does not default to downloading the firmware.

Changed in jockey:
assignee: nobody → pitti
status: Confirmed → In Progress
Martin Pitt (pitti) wrote :

Fixed in bzr head.

Changed in jockey:
status: In Progress → Fix Committed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.3.3-0ubuntu3

---------------
jockey (0.3.3-0ubuntu3) hardy; urgency=low

  * jockey/oslib.py: Do not set debconf priority to critical any more.
    b43-fwcutter needs the "download firmware" question shown in order to
    actually download the firmware, and we do not need it ATM for other
    packages. (LP: #197819)

 -- Martin Pitt <email address hidden> Thu, 03 Apr 2008 14:49:12 +0200

Changed in jockey:
status: Fix Committed → Fix Released
TheGZeus (gzeusmants) wrote :

....
Is the release I just got on an update this fix? Because I still get:
WARNING: unbind/rebind for device ssb0:0 on driver /sys/module/b43/drivers/ssb:b43 failed
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/jockey/handlers.py", line 400, in rebind
    open(os.path.join(driver_path, 'unbind'), 'w').write(device)
IOError: [Errno 13] Permission denied: '/sys/module/b43/drivers/ssb:b43/unbind'
touch: cannot touch `/var/run/reboot-required': Permission denied
and restarting still leaves me with no wireless.
I don't have a laptop without wireless. She's grounded.
This is a bug critical enough that if it makes it into the release, I'm not sure what I'll recommend to friends... Feisty? Gutsy? Mandriva?
In any case, what should I do?

TheGZeus (gzeusmants) wrote :

Correction: manual removal/install of fwcutter works.
Still a bit disconcerting the jockey doesn't remove/give the option to remove the package.

Martin Pitt (pitti) wrote :

Hi,

TheGZeus [2008-04-09 11:42 -0000]:
> Correction: manual removal/install of fwcutter works.
> Still a bit disconcerting the jockey doesn't remove/give the option to remove the package.

If you disable the Broadcom driver, it is actually supposed to remove
the package. It does not purge it, though, which means the
configuration files and in particular the debconf question result
(which was never answered) does not get removed.

Maybe I should fix jockey to purge the package instead of remove.
Please tell me if that works (see my other mail).

Thanks,

Martin

Hi,

unfortunately I hadn't seen this bug report before. I think it is related to what happens with my bcm4318 on an asus laptop. In my case the "HarwareDirvers" doesn't do what it is expected to do, like discribed in the first post here.
Running:

/usr/share/b43-fwcutter/install_bcm43xx_firmware.sh

fixed the problem. See my follwing posts:

https://bugs.launchpad.net/ubuntu/+bug/184976/comments/15
https://bugs.launchpad.net/ubuntu/+bug/184976/comments/21
https://bugs.launchpad.net/ubuntu/+source/ndiswrapper/+bug/188621/comments/21

I think a lot of people (me to) experience the same problem with "HarwareDrivers" reported in this bug and post instead in 184976,188621 or whatever.

Please for someone to confirm if I am right.

lylepratt (lylepratt) wrote :

I am still having trouble with this bug. I can see access points, but authentication times out every time. I have uninstalled then reinstalled b43-fwcutter using apt-get and synaptic multiple times. I have also tried using the install_bcm43xx_firmware.sh script. Still, same problem. I see the access points, but am unable to connect. When I look at syslog while it is trying to connect, one odd thing is this:

NetworkManager: <info> Old device 'eth1' activating, won't change.

I don't really know what that refers to. I just upgraded to Hardy yesterday and have installed all recommended updates. This is highly frustrating as everything seemed to work fine with Gutsy.

lylepratt [2008-04-16 18:56 -0000]:
> I am still having trouble with this bug. I can see access points, but
> authentication times out every time.

This is a different bug than the one handled in this report (about
installing b43-fwcutter correctly through jockey). There are existing
bug reports against 'linux' which describe problems you observe.

lylepratt (lylepratt) wrote :

The reason I posted here was because I believed that the problem with my card seeing access points but not being able to connect could be related to the firmware not being installed correctly. I still do not have wireless working. If this is not the correct place to post this, can someone point me in the right direction?

Dmesg:
[ 1418.433944] eth1: Initial auth_alg=0
[ 1418.433968] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 420.310776] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 1419.552974] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 1419.752848] eth1: authentication with AP 00:0b:85:04:c6:0e timed out
[ 426.961353] eth1: Initial auth_alg=0
[ 426.961364] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 426.973621] eth1: Initial auth_alg=0
[ 426.973634] eth1: authenticate with AP 00:0b:85:04:c1:fe
[ 427.172548] eth1: authenticate with AP 00:0b:85:04:c1:fe
[ 427.372618] eth1: authenticate with AP 00:0b:85:04:c1:fe
[ 427.572237] eth1: authentication with AP 00:0b:85:04:c1:fe timed out
[ 840.715332] eth1: Initial auth_alg=0
[ 840.715346] eth1: authenticate with AP 00:0b:85:04:bf:ee
[ 1472.089466] eth1: authenticate with AP 00:0b:85:04:bf:ee
[ 1472.289358] eth1: authenticate with AP 00:0b:85:04:bf:ee
[ 436.216648] eth1: authentication with AP 00:0b:85:04:bf:ee timed out
[ 1495.357697] eth1: Initial auth_alg=0
[ 1495.357720] eth1: authenticate with AP 00:0b:85:04:bf:ee
[ 1495.370487] eth1: Initial auth_alg=0
[ 1495.370512] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 1495.568522] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 443.193916] eth1: authenticate with AP 00:0b:85:04:c6:0e
[ 1496.689612] eth1: authentication with AP 00:0b:85:04:c6:0e timed out

Syslog:
Apr 21 11:31:39 sunsu kernel: [ 1495.357697] eth1: Initial auth_alg=0
Apr 21 11:31:39 sunsu kernel: [ 1495.357720] eth1: authenticate with AP 00:0b:85:04:bf:ee
Apr 21 11:31:39 sunsu kernel: [ 1495.370487] eth1: Initial auth_alg=0
Apr 21 11:31:39 sunsu kernel: [ 1495.370512] eth1: authenticate with AP 00:0b:85:04:c6:0e
Apr 21 11:31:39 sunsu kernel: [ 1495.568522] eth1: authenticate with AP 00:0b:85:04:c6:0e
Apr 21 11:31:39 sunsu kernel: [ 443.193916] eth1: authenticate with AP 00:0b:85:04:c6:0e
Apr 21 11:31:39 sunsu kernel: [ 1496.689612] eth1: authentication with AP 00:0b:85:04:c6:0e timed out
Apr 21 11:31:40 sunsu NetworkManager: <info> Old device 'eth1' activating, won't change.
Apr 21 11:31:44 sunsu NetworkManager: <info> Old device 'eth1' activating, won't change.
Apr 21 11:31:44 sunsu NetworkManager: <info> Activation (eth1/wireless): association took too long (>60s), failing activation.
Apr 21 11:31:44 sunsu NetworkManager: <info> Activation (eth1) failure scheduled...
Apr 21 11:31:44 sunsu NetworkManager: <info> Activation (eth1) failed for access point (LaTech OpenAir)
Apr 21 11:31:44 sunsu NetworkManager: <info> Activation (eth1) failed.
Apr 21 11:31:44 sunsu NetworkManager: <info> Deactivating device eth1.

Matthew Woerly (nattgew) wrote :

I think that you're seeing the bug here about the authentication timing out.
https://bugs.launchpad.net/linux/+bug/182716

Luke Hoersten (lukehoersten) wrote :

Apr 28 09:18:21 mcclaike-laptop firmware_helper[7590]: main: error loading '/lib/firmware/b43legacy/ucode4.fw' for device '/devices/pci0000:00/0000:00:1e.0/0000:02:02.0/ssb0:0/firmware/ssb0:0' with driver '(unknown)'
Apr 28 09:18:21 mcclaike-laptop kernel: [ 1812.558893] b43legacy-phy0 ERROR: Firmware file "b43legacy/ucode4.fw" not found or load failed.
Apr 28 09:18:21 mcclaike-laptop kernel: [ 1812.558903] b43legacy-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 3).
Apr 28 09:18:23 mcclaike-laptop NetworkManager: <WARN> nm_device_802_11_wireless_scan(): (eth1): could not trigger wireless scan: Network is down

My friend is having this same problem even after updating today. She doesn't know how to use the advanced package manager and she's hours away so I can't help her with it. Will this just be fixed automatically at any point? Otherwise, I'm going to need a super easy fix to tell her over the phone.

Kevin Oberle (kevin.oberle) wrote :

Luke:

I think a quick "sudo apt-get install b43-fwcutter" in the terminal should solve the problem.

Luke Hoersten wrote:
> Apr 28 09:18:21 mcclaike-laptop firmware_helper[7590]: main: error loading '/lib/firmware/b43legacy/ucode4.fw' for device '/devices/pci0000:00/0000:00:1e.0/0000:02:02.0/ssb0:0/firmware/ssb0:0' with driver '(unknown)'
> Apr 28 09:18:21 mcclaike-laptop kernel: [ 1812.558893] b43legacy-phy0 ERROR: Firmware file "b43legacy/ucode4.fw" not found or load failed.
> Apr 28 09:18:21 mcclaike-laptop kernel: [ 1812.558903] b43legacy-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 3).
> Apr 28 09:18:23 mcclaike-laptop NetworkManager: <WARN> nm_device_802_11_wireless_scan(): (eth1): could not trigger wireless scan: Network is down
>
> My friend is having this same problem even after updating today. She
> doesn't know how to use the advanced package manager and she's hours
> away so I can't help her with it. Will this just be fixed automatically
> at any point? Otherwise, I'm going to need a super easy fix to tell her
> over the phone.
>
> ** Attachment added: "syslog"
> http://launchpadlibrarian.net/14005480/syslog
>
>
This worked for me:

1) sudo apt-get --purge remove b43-fwcutter
2) reboot
3) sudo apt-get install b43-fwcutter (confirm firmware download)
4) reboot

I am not sure the reboots are necessary. I did them just to be on the
safe side. Wifi works after this.

Heiko

Hi Luke,

Luke Hoersten [2008-04-29 6:02 -0000]:
> My friend is having this same problem even after updating today. She
> doesn't know how to use the advanced package manager and she's hours
> away so I can't help her with it. Will this just be fixed automatically
> at any point? Otherwise, I'm going to need a super easy fix to tell her
> over the phone.

This is hard to fix through an upgrade. New installations shouldn't
have the problem. You can tell her to open a Terminal window and enter
this command:

  sudo dpkg-reconfigure b43-fwcutter

Download full text (3.9 KiB)

The problem was resolved with the release 8.04 Hardy...

On Tue, Apr 29, 2008 at 1:02 AM, Luke Hoersten <email address hidden> wrote:
> Apr 28 09:18:21 mcclaike-laptop firmware_helper[7590]: main: error loading '/lib/firmware/b43legacy/ucode4.fw' for device '/devices/pci0000:00/0000:00:1e.0/0000:02:02.0/ssb0:0/firmware/ssb0:0' with driver '(unknown)'
> Apr 28 09:18:21 mcclaike-laptop kernel: [ 1812.558893] b43legacy-phy0 ERROR: Firmware file "b43legacy/ucode4.fw" not found or load failed.
> Apr 28 09:18:21 mcclaike-laptop kernel: [ 1812.558903] b43legacy-phy0 ERROR: You must go to http://linuxwireless.org/en/users/Drivers/b43#devicefirmware and download the correct firmware (version 3).
> Apr 28 09:18:23 mcclaike-laptop NetworkManager: <WARN> nm_device_802_11_wireless_scan(): (eth1): could not trigger wireless scan: Network is down
>
> My friend is having this same problem even after updating today. She
> doesn't know how to use the advanced package manager and she's hours
> away so I can't help her with it. Will this just be fixed automatically
> at any point? Otherwise, I'm going to need a super easy fix to tell her
> over the phone.
>
> ** Attachment added: "syslog"
> http://launchpadlibrarian.net/14005480/syslog
>
>
>
> --
> [Hardy]b43-fwcutter install script fails to fetch firmware in first run
> https://bugs.launchpad.net/bugs/197819
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Source Package "b43-fwcutter" in Ubuntu: Invalid
> Status in Source Package "jockey" in Ubuntu: Fix Released
> Status in b43-fwcutter in Ubuntu Hardy: Invalid
> Status in jockey in Ubuntu Hardy: Fix Released
>
> Bug description:
> flick@lil-spooky:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> flick@lil-spooky:~$ uname -a
> Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008 x86_64 GNU/Linux
> -------------------------------------------------------------------------------------------------
> flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installed: 1:008-2
> Candidate: 1:008-2
> Version table:
> *** 1:008-2 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
> ----------------------------------------------------------------------------------------------------------------------------
> what I expected to happen : after doing a fresh install of Hardy Alpha 5, I started the Restricted Driver Manager to install the broadcom firmware to get my wireless working, just like I did in Gutsy. I expected the fwcutter package to download and install the correct firmware, which is what happened under Gutsy. In Gutsy, the little orange light turned blue right away ( my machine is an HP dv6000 series laptop ) indicating that wireless is up and running.
> ------------------------------------------------------------------------------------------------------------------------------
> what happened instead : started the Restricted Driver manager now called "Hardware Drivers" under Syst...

Read more...

bobbycheetah (bobbycheetah) wrote :

i still can't get wireless going. with Ubuntu or Kubuntu 8.04
Dell Latitude D600
(currently on Kubuntu)
kernel 2.6.24-19-generic

lsmod | grep b43
b43 144420 0
rfkill 8592 34 rfkill_input,b43
mac80211 165652 1 b43
led_class 6020 1 b43
input_polldev 5896 1 b43
ssb 34308 1 b43

lspci -vvnn
02:03.0 Network controller [0280]: Broadcom Corporation BCM4309 802.11a/b/g [14e4:4324] (rev 03)
        Subsystem: Dell Truemobile 1450 MiniPCI [1028:0003]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at fafee000 (32-bit, non-prefetchable) [size=8K]

I've tried to dpkg -P to remove, then reboot, then apt-get install. Here is the output from that:

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  b43-fwcutter
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/15.8kB of archives.
After this operation, 102kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package b43-fwcutter.
(Reading database ... 89796 files and directories currently installed.)
Unpacking b43-fwcutter (from .../b43-fwcutter_1%3a011-1_i386.deb) ...
Setting up b43-fwcutter (1:011-1) ...
--17:39:24-- http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
           => `wl_apsta-3.130.20.0.o'
Resolving downloads.openwrt.org... failed: Name or service not known.
dpkg: error processing b43-fwcutter (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 b43-fwcutter
E: Sub-process /usr/bin/dpkg returned an error code (1)

I have a new wireless nic (intel) on the way (yes, I gave up), but still there is so much documentation out there, it's killing me that I can't get this going. So as last resort, I thought I'd try my luck here. If there is any help please post and/or feel free to email me. Thanks!

Hi

On Thu, Oct 02, 2008 at 10:02:16PM -0000, bobbycheetah wrote:
> --17:39:24-- http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
> => `wl_apsta-3.130.20.0.o'
> Resolving downloads.openwrt.org... failed: Name or service not known.
> dpkg: error processing b43-fwcutter (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> b43-fwcutter
> E: Sub-process /usr/bin/dpkg returned an error code (1)

The error is resolving downloads.openwrt.ort. Is your network configured
at all? Is DNS working? Do you have to set a proxy? Ye olde Chicken-and-egg
problem?

Jan

wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
--12:43:44-- http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
           => `wl_apsta-3.130.20.0.o'
Resolving downloads.openwrt.org... 195.56.146.238
Connecting to downloads.openwrt.org|195.56.146.238|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
12:43:46 ERROR 404: Not Found.

I think this is a different bug. Sounds like the file has moved to a
different location. Better to file a new bug about this.
-Stuart

أحمد المحمودي (Ahmed El-Mahmoudy) [2009-03-31 17:44 -0000]:
> wget http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
> --12:43:44-- http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
> => `wl_apsta-3.130.20.0.o'
> Resolving downloads.openwrt.org... 195.56.146.238
> Connecting to downloads.openwrt.org|195.56.146.238|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found

Hm, works fine here.

Yes, it works here today, seems the site was down yesterday.

I don't know how this is/not related precisely, but on my system fxcutter just simply wasn't installed (I tried to remove it via sudo aptitude remove b43-fwcutter); just typing

sudo aptitudeb43-fwcutter

into the terminal fixed the issue. : )

thanks, it's gone now.

On Sat, May 2, 2009 at 1:12 AM, John Bradley Bulsterbaum <
<email address hidden>> wrote:

> I don't know how this is/not related precisely, but on my system
> fxcutter just simply wasn't installed (I tried to remove it via sudo
> aptitude remove b43-fwcutter); just typing
>
> sudo aptitudeb43-fwcutter
>
> into the terminal fixed the issue. : )
>
> --
> [Hardy]b43-fwcutter install script fails to fetch firmware in first run
> https://bugs.launchpad.net/bugs/197819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “b43-fwcutter” source package in Ubuntu: Invalid
> Status in “jockey” source package in Ubuntu: Fix Released
> Status in b43-fwcutter in Ubuntu Hardy: Invalid
> Status in jockey in Ubuntu Hardy: Fix Released
>
> Bug description:
> flick@lil-spooky:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
> flick@lil-spooky:~$ uname -a
> Linux lil-spooky 2.6.24-11-generic #1 SMP Fri Feb 29 21:26:31 UTC 2008
> x86_64 GNU/Linux
>
> -------------------------------------------------------------------------------------------------
> flick@lil-spooky:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installed: 1:008-2
> Candidate: 1:008-2
> Version table:
> *** 1:008-2 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
> ----------------------------------------------------------------------------------------------------------------------------
> what I expected to happen : after doing a fresh install of Hardy Alpha 5, I
> started the Restricted Driver Manager to install the broadcom firmware to
> get my wireless working, just like I did in Gutsy. I expected the fwcutter
> package to download and install the correct firmware, which is what happened
> under Gutsy. In Gutsy, the little orange light turned blue right away ( my
> machine is an HP dv6000 series laptop ) indicating that wireless is up and
> running.
>
> ------------------------------------------------------------------------------------------------------------------------------
> what happened instead : started the Restricted Driver manager now called
> "Hardware Drivers" under System-->Administration, clicked the checkbox for
> the Broadcom firmware to be downloaded and installed. The Hardware Driver
> manager told me it had downloaded and installed the firmware, however, the
> orange light did not turn blue. I tried rebooting to see if that would make
> a difference. It did not make a difference. No working wireless. This page :
> http://linuxwireless.org/en/users/Drivers/b43 seems to indicate that
> various kernel versions need not just different versions of the firmware,
> but different versions of the fwcutter program/package itself, as well.
> Would be great if that could be integrated into Hardy before final release.
>
> ----------------------------------------------------------------------------------------------------------------------------------
>

--
Alexander Razgovorov

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers